View a list of all your object storage containers (buckets). You also get information about each container's size and object count. This is useful for getting an overview of your storage usage.
/object-storage/[bucket] /object-storage Accept Example Content-Type Example data object required data.buckets array<object> required
· Example: [{"name":"service-service-backups","sizeBytes":37154816,"numObjects":8,"created":"2026-... data.buckets[].created string required
· Example: 2026-03-23T15:52:22.123649Z data.buckets[].name string required
· Example: service-service-backups data.buckets[].numObjects integer required
· Example: 8 data.buckets[].sizeBytes integer
· Example: 37154816 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/object-storage/buckets curl -X GET "https://cloud.hostup.se/api/object-storage/buckets" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"buckets": [
{
"name": "service-service-backups",
"sizeBytes": 37154816,
"numObjects": 8,
"created": "2026-03-23T15:52:22.123649Z"
},
{
"name": "example-bucket",
"sizeBytes": 0,
"numObjects": 0,
"created": "2026-03-23T08:43:59.910807Z"
},
{
"name": "example-bucket",
"sizeBytes": 0,
"numObjects": 0,
"created": "2026-03-23T08:44:49.066231Z"
}
]
}
}